<div class="row" id="controls">
  <div class="col pr-1">
    <app-filter-tags></app-filter-tags>
  </div>

  <div class="col-auto" *ngIf="this.cardsToShowInCarousel !== undefined">
    <button
      mat-icon-button
      matTooltip="Sortieren"
      matTooltipPosition="above"
      aria-label="sortieren"
      (click)="openBottomSheet()"
    >
      <mat-icon>sort</mat-icon>
    </button>

    <button
      mat-icon-button
      matTooltip="Zufall"
      matTooltipPosition="above"
      aria-label="zufall"
      (click)="showRandomCard()"
      [disabled]="formMode == 'edit' || !cardsToShowInCarousel || cardsToShowInCarousel.length == 0"
    >
      <mat-icon>shuffle</mat-icon>
    </button>
    <button
      mat-icon-button
      matTooltip="Erste Karte"
      matTooltipPosition="above"
      aria-label="zufall"
      (click)="selectSlide(0)"
      [disabled]="formMode == 'edit' || !cardsToShowInCarousel || cardsToShowInCarousel.length == 0"
    >
      <mat-icon>first_page</mat-icon>
    </button>
    <button
      mat-icon-button
      matTooltip="Letzte Karte"
      matTooltipPosition="above"
      aria-label="zufall"
      (click)="selectSlide(undefined)"
      [disabled]="formMode == 'edit' || !cardsToShowInCarousel || cardsToShowInCarousel.length == 0"
    >
      <mat-icon>last_page</mat-icon>
    </button>

    <button
      *ngIf="authorized$ | async"
      mat-icon-button
      type="button"
      aria-label="bearbeiten"
      [disabled]="isDisabled()"
      (click)="enableEdit()"
      matTooltip="Bearbeiten"
      matTooltipPosition="above"
    >
      <mat-icon>edit</mat-icon>
    </button>
  </div>
</div>
<div class="row" id="carousel-row" *ngIf="cardsToShowInCarousel?.length > 0" [@fadeInOnEnter]>
  <a id="left" class="navig col" aria-label="vorherige karte" *ngIf="!isFirst()" (click)="goToPrev()">
    <mat-icon>keyboard_arrow_left</mat-icon>
  </a>
  <div id="carousel">
    <ngb-carousel
      (slide)="onSlide($event)"
      #mycarousel
      [@shake]="notallowed"
      [animation]="true"
      [activeId]="this.activeSlide.toString()"
      [keyboard]="false"
      [wrap]="false"
      [showNavigationArrows]="false"
      [interval]="'0'"
      [showNavigationIndicators]="false"
    >
      <ng-template ngbSlide *ngFor="let card of cardsToShowInCarousel; index as i" [id]="i.toString()">
        <app-card [card]="card" [index]="i"></app-card>
      </ng-template>
    </ngb-carousel>
  </div>
  <a id="right" class="navig col" *ngIf="!isLast()" (click)="goToNext()" aria-label="nächste karte">
    <mat-icon>keyboard_arrow_right</mat-icon>
  </a>
</div>
<div class="row" id="progress" *ngIf="!cardsToShowInCarousel">
  <mat-spinner></mat-spinner>
</div>

<div class="row" *ngIf="cardsToShowInCarousel?.length === 0">
  <p class="text-muted text-center w-100 mt-2">Keine Karten gefunden</p>
</div>
